package com.zhyc.module.feed.mapper;

import java.util.List;
import com.zhyc.module.feed.domain.SgFeedList;
import org.apache.ibatis.annotations.Mapper;

/**
 * 配料清单Mapper接口
 *
 * @author HashMap
 * @date 2025-08-19
 */
@Mapper
public interface SgFeedListMapper
{
    /**
     * 查询配料清单
     *
     * @param id 配料清单主键
     * @return 配料清单
     */
    SgFeedList selectSgFeedListById(Long id);

    /**
     * 查询配料清单列表
     *
     * @param sgFeedList 配料清单
     * @return 配料清单集合
     */
    List<SgFeedList> selectSgFeedListList(SgFeedList sgFeedList);

    /**
     * 新增配料清单
     *
     * @param sgFeedList 配料清单
     * @return 结果
     */
    int insertSgFeedList(SgFeedList sgFeedList);

    /**
     * 修改配料清单
     *
     * @param sgFeedList 配料清单
     * @return 结果
     */
    int updateSgFeedList(SgFeedList sgFeedList);

    /**
     * 删除配料清单
     *
     * @param id 配料清单主键
     * @return 结果
     */
    int deleteSgFeedListById(Long id);

    /**
     * 批量删除配料清单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSgFeedListByIds(Long[] ids);

    // 清空所有
    int deleteAll();
}
